Subject: [IPsec] IPSec with IPComp Tunnel Mode

From: srwg <[email-masked]>
Date: Mon, 1 Oct 2007 06:26:40 -0700 (PDT)

Dear all,
I'm just really using linux for a while. Now I'm trying these and those in
many aspects with linux especially CentOS5 . My problem is 'Is CentOS5's
ipsec-tools (ipsec-tools-0.6.5-8.el5) can config to use IPComp compression
with Tunnel mode?' I use 'setkey -f test.conf' command to set up SAD and SPD
database on my IPv4 channel. At first, I just trying whether I can add the
database like this on one side of end terminal (ip 192.168.0.99)....
test.conf <<EOF
flush;
spdflush;

add 192.168.0.99 192.168.0.218 ipcomp 1000
-m tunnel
-C deflate ;

add 192.168.0.218 192.168.0.99 ipcomp 1001
-m tunnel
-C deflate ;

spdadd 192.168.0.99 192.168.0.218 any
-P out ipsec ipcomp/tunnel/192.168.0.99-192.168.0.218/use ;

spdadd 192.168.0.218 192.168.0.99 any
-P in ipsec ipcomp/tunnel/192.168.0.218-192.168.0.99/use ;
EOF
'setkey -f test.conf' fail at both '-m tunnel' line with 
"The result of line 3: Invalid argument.
The result of line 7: Invalid argument. "
So I wonder above mentioned problem because when I test this on the other
side terminal which use Debian(Etch), it seems to work correctly with this
kind of setting. What is wrong ? Syntax? Protocol ?
After searching internet for a while about this problem, I can not found any
topic helpful but I see some of them said IPSec in IPComp Tunnel mode maybe
not working correctly. I just want to know whether this quote is
true.........
Any comments are welcome, I'm curiously waiting the answer.....
Thanks in advance,
Cheers,

-- 
View this message in context: http://www.nabble.com/IPSec-with-IPComp-Tunnel-Mode-tf4548343.html#a12979181
Sent from the IETF - Ipsec mailing list archive at Nabble.com.

_______________________________________________
IPsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec